### Function

# FwupdPlugin path_get_files

since: 1.8.2

#### Declaration [src]

    GPtrArray*
    fu_path_get_files (
      const gchar* path,
      GError** error
    )

#### Description [src]

Returns every file found under `directory`, and any subdirectory. If any path under `directory` cannot be accessed due to permissions an error will be returned.

Available since: 1.8.2

#### Parameters

`path`

  Type: `const gchar*`

  A directory name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

Array of files, or `NULL` for error.

The caller of the function takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.